Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158702 - cpan2rpm can't build Test::Builder::Tester
Summary: cpan2rpm can't build Test::Builder::Tester
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cpan2rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gavin Henry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-24 23:13 UTC by Jonathan Kamens
Modified: 2008-05-07 00:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:10:59 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2005-05-24 23:13:56 UTC
With cpan2rpm-2.026-2, running "cpan2rpm Test::Builder::Tester":

+ /usr/bin/perl Build test
t/01basic........NOK 6#     Failed test (t/01basic.t at line 32)
# STDERR is:
# #     Failed test (t/01basic.t at line 31)
# #          got: 'foo'
# #     expected: 'bar'
#
# not:
# #     Failed test (t/01basic.t at line 28)
# #          got: 'foo'
# #     expected: 'bar'
#
# as expected
t/01basic........FAILED test 6
        Failed 1/6 tests, 83.33% okay
t/02fhrestore....ok
t/03die..........ok
t/04line_num.....NOK 1#     Failed test (t/04line_num.t at line 9)
#          got: '9'
#     expected: '6'
t/04line_num.....NOK 2#     Failed test (t/04line_num.t at line 10)
#          got: '9'
#     expected: '6'
t/04line_num.....NOK 3#     Failed test (t/04line_num.t at line 11)
#          got: '13'
#     expected: '10'
# Looks like you failed 3 tests of 3.
t/04line_num.....dubious
        Test returned status 3 (wstat 768, 0x300)
DIED. FAILED tests 1-3
        Failed 3/3 tests, 0.00% okay
t/05faildiag.....ok
t/06errormess....ok
t/07args.........ok
Failed Test    Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/01basic.t                   6    1  16.67%  6
t/04line_num.t    3   768     3    3 100.00%  1-3
Failed 2/7 test scripts, 71.43% okay. 4/49 subtests failed, 91.84% okay.
error: Bad exit status from /var/tmp/rpm-tmp.62505 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.62505 (%build)
RPM build failed [1] at /usr/bin/cpan2rpm line 1041.

These errors do not occur when building the module inside the CPAN shell.

Comment 1 Jonathan Kamens 2005-05-24 23:21:44 UTC
Similar errors related to line numbers occur when trying to build Test::Warn 
in cpan2rpm.  Again, these errors do not occur when building and testing it 
inside the CPAN shell.


Comment 2 Gavin Henry 2005-05-25 07:30:01 UTC
Thanks for this.

I'll look into these errors sometime this week.

That's the best I can do at the moment ;-)

Thanks,

Gavin.

Comment 3 Christian Iseli 2007-01-19 07:22:07 UTC
This bug hasn't been updated in a long time and targets FE devel.
Could you please check that it still occurs with current FE devel and update
accordingly ?

Thanks.

Comment 4 Jonathan Kamens 2007-07-18 13:41:24 UTC
This is still a problem in current cpan2rpm.  I think it's probably not a 
cpan2rpm problem -- I think it's actually a problem with the 
Test::Builder::Tester tests depending on line numbers when they shouldn't be.  
But that's just a guess.

On the other hand, I believe there are quite a few CPAN packages whose tests 
depend on line numbers, so I think it might be easier to fix cpan2rpm not to 
mess with the line numbers than it will be to get all those packages' tests 
fixed.


Comment 5 Bug Zapper 2008-04-03 16:11:15 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 00:10:57 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.